Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.core
Class CheckResult

    java.lang.Object
      org.pentaho.di.core.CheckResult

All Implemented Interfaces:
  CheckResultInterface

    public class CheckResult

extends Object
implements CheckResultInterface

This class is used to store results of transformation and step verifications.

Since:
  11-01-04
Author:
  Matt

Field Summary

Fields inherited from interface org.pentaho.di.core.CheckResultInterface
`TYPE_RESULT_COMMENT, TYPE_RESULT_ERROR, TYPE_RESULT_NONE, TYPE_RESULT_OK, TYPE_RESULT_WARNING, typeDesc`

Constructor Summary
`CheckResult()`
`CheckResult(int t, String s, CheckResultSourceInterface sourceMeta)`
`CheckResult(int t, String errorCode, String s, CheckResultSourceInterface sourceMeta)`

Method Summary
`String` | `getErrorCode()`
`CheckResultSourceInterface` | `getSourceInfo()`
`String` | `getText()`
`int` | `getType()`
`String` | `getTypeDesc()`
`void` | `setErrorCode(String errorCode)` Sets the component-specific result/error code.
`void` | `setText(String value)` Sets the text for the check-result
`void` | `setType(int value)` Sets the check-result type
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CheckResult

    public CheckResult()

### CheckResult

    public CheckResult(int t,
                       String s,
                       CheckResultSourceInterface sourceMeta)

### CheckResult

    public CheckResult(int t,
                       String errorCode,
                       String s,
                       CheckResultSourceInterface sourceMeta)

Method Detail

### getType

    public int getType()

  Specified by:
    `getType` in interface `CheckResultInterface`
  Returns:
    The type of the Check Result (0-4)

### getTypeDesc

    public String getTypeDesc()

  Specified by:
    `getTypeDesc` in interface `CheckResultInterface`
  Returns:
    The internationalized type description

### getText

    public String getText()

  Specified by:
    `getText` in interface `CheckResultInterface`
  Returns:
    The text of the check result.

### getSourceInfo

    public CheckResultSourceInterface getSourceInfo()

  Specified by:
    `getSourceInfo` in interface `CheckResultInterface`
  Returns:
    The source of the check result

### toString

    public String toString()

  Specified by:
    `toString` in interface `CheckResultInterface`
  Overrides:
    `toString` in class `Object`
  Returns:
    String description of the check result

### getErrorCode

    public String getErrorCode()

  Specified by:
    `getErrorCode` in interface `CheckResultInterface`
  Returns:
    the errorCode

### setErrorCode

    public void setErrorCode(String errorCode)

  Description copied from interface: `CheckResultInterface`
  Sets the component-specific result/error code.

  Specified by:
    `setErrorCode` in interface `CheckResultInterface`
  Parameters:
    `errorCode` - the errorCode to set

### setText

    public void setText(String value)

  Description copied from interface: `CheckResultInterface`
  Sets the text for the check-result

  Specified by:
    `setText` in interface `CheckResultInterface`

### setType

    public void setType(int value)

  Description copied from interface: `CheckResultInterface`
  Sets the check-result type

  Specified by:
    `setType` in interface `CheckResultInterface`
  Parameters:
    `value` - The type from 0-4

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD